local Support = {}
SpeedyActions.supportModules["Bindpad"] = Support

local _G = getfenv(0)

-- All of these addons use odd delays on initializing things :<
-- BindPad doesn't initialize any of it's DB until PLAYER_LOGIN, so wait until then to grab the keys it bound
function Support:SupportLoaded()
	hooksecurefunc(BindPadCore, "InitBindPad", function()
		SpeedyActions:UPDATE_BINDINGS()
	end)
end

function Support:BindingsUpdated()
	if( BindPadCore.character ) then
		for _, key in pairs(BindPadCore.GetProfileData().keys) do
			SpeedyActions:RegisterOverrideKey(key)
		end
	end
end